Bug 75830 - fresh installed RH8.0 hangs on first load of a kernel module
fresh installed RH8.0 hangs on first load of a kernel module
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-13 08:26 EDT by Teus Hagen
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Teus Hagen 2002-10-13 08:26:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20011126

Description of problem:
installed kernel should be able to have kernel modules added
on boot (e.g. network loop back interface).

On RedHat 7.3 (clean reinstall) newly installed kernel booted fine.

The problem is HW laptop Sony VAIO GR series dependent.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.fresh install RedHat 8.0
2.after installation reboot
3.on e.g. network load loop back network interface

Actual Results:  module install command hangs and actualy shows via cat
/proc/modules that the
module is loaded.
I tried to start the system avoiding the kernel to load modules
(e.g. network off, etc).
This works fine up to the moment a kernel module realy is needed so
that command/process will hang. The kernel itself will proceed.
So a reboot while modules are loaded will hang on the first kernel module load

Expected Results:  the "modprobe" command should finish

Additional info:

Maybe: ACPI plays a role here?
RedHat 7.3 reinstallment went ok, also with the RedHat 7.3
new kernels updated.
Comment 1 Arjan van de Ven 2002-10-13 13:40:58 EDT
could you try getting the i586 kernel installed instead ?
Comment 2 Teus Hagen 2002-10-14 09:40:29 EDT
Have reinstalled RedHat8.0 and updated the Linux 2.4.18-14 kernel with
the i586 kernel.
(Not real problem yet: got unresolved variable for modules longhaul, microcode,
speedstop, and p4-clockmod)
More severe: again the insmod command hang on multiuser boot on the first kernel
module to be installed (network loopback interface).
I tried the kernel-2.4.18-14.i686.rpm kernel as well:
same problem: kernel modules installment will hang.

Fresh RedHat 8.0 will not run on my Sony VAIO GR laptop.

Thanks for your rappid reply at Sunday.
Comment 3 Arjan van de Ven 2002-10-14 10:13:31 EDT
can you enable sysreq (see /etc/sysctl.conf) and see if sysreq-T gives something
in /var/log/messages ?
Comment 4 Teus Hagen 2002-10-14 11:49:03 EDT
Have changed the value kernel.sysrq = 0 -> 1 in /etc/sysctl
Noticed before and after the change that lenght of /var/log/messages
is zero (null). So no kernel info available.
The /var was mounted on another ext3 partition. 
So I changed that: deleted the mount from /etc/fstab and created
a proper (copy from the original dirs) /var subtree directly on /
Rebooted and still hang on the rc.init script when network loopback
kernel was initiated.
It's crazy there is no info at all in /var/log/messages!
Comment 5 Bugzilla owner 2004-09-30 11:40:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.